autofs-5.1.5 - fix missing initialization of autofs_point flags

From: Ian Kent <raven@themaw.net>

When adding the "use_ignore_mount_option" configuration option I added
a "use without initialization" for ap->flags.

Signed-off-by: Ian Kent <raven@themaw.net>
---
 CHANGELOG    |    1 +
 lib/master.c |    2 ++
 2 files changed, 3 insertions(+)

diff --git a/CHANGELOG b/CHANGELOG
index 05acd16a..ba165710 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -37,6 +37,7 @@ xx/xx/2019 autofs-5.1.6
 - use local_getmntent_r() for unlink_mount_tree().
 - use local getmntent_r() in get_mnt_list().
 - use local getmntent_r() in tree_make_mnt_list().
+- fix missing initialization of autofs_point flags.
 
 30/10/2018 autofs-5.1.5
 - fix flag file permission.
diff --git a/lib/master.c b/lib/master.c
index 186b1479..da02feec 100644
--- a/lib/master.c
+++ b/lib/master.c
@@ -101,6 +101,8 @@ int master_add_autofs_point(struct master_mapent *entry, unsigned logopt,
 		ap->negative_timeout = global_negative_timeout;
 	ap->exp_timeout = defaults_get_timeout();
 	ap->exp_runfreq = 0;
+	ap->flags = 0;
+
 	if (defaults_get_use_ignore_mount_option())
 		ap->flags = MOUNT_FLAG_IGNORE;
 	if (ghost)
